/*
 * Copyright (C) 2006-2008 the VideoLAN team
 *
 * This file is part of VLMa.
 *
 * VLMa is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * VLMa is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with VLMa. If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.videolan.vlma.web.configuration;

public class ConfigurationEdit {

    private Integer vlc_telnet_port;
    private String vlc_telnet_password;
    private String vlc_snmp_community;
    private String vlc_snmp_oid_cpu_load;
    private String vlc_snmp_oid_vlc_cpu;
    private String vlc_snmp_oid_vlc_mem;
    private String vlc_snmp_oid_traffic_in;
    private String vlc_snmp_oid_traffic_out;
    private String vlma_streaming;
    private String vlma_encapsulation;
    private Integer vlma_streaming_http_port;
    private String vlma_streaming_udp_ipbank_min;
    private String vlma_streaming_udp_ipbank_max;
    private Integer vlc_stream_ttl;
    private Integer vlc_stream_dvb_bandwidth;
    private String vlma_notification_mail_host;
    private String vlma_notification_mail_sender;
    private String vlma_notification_mail_recipients;
    private String vlma_notification_irc_host;
    private Integer vlma_notification_irc_port;
    private String vlma_notification_irc_nick;
    private String vlma_notification_irc_pass;
    private String vlma_notification_irc_chan;
    private String vlma_notification_msn_login;
    private String vlma_notification_msn_pass;
    private String vlma_notification_msn_recipients;

    public String getVlc_snmp_community() {
        return vlc_snmp_community;
    }
    public void setVlc_snmp_community(String vlc_snmp_community) {
        this.vlc_snmp_community = vlc_snmp_community;
    }
    public String getVlc_snmp_oid_cpu_load() {
        return vlc_snmp_oid_cpu_load;
    }
    public void setVlc_snmp_oid_cpu_load(String vlc_snmp_oid_cpu_load) {
        this.vlc_snmp_oid_cpu_load = vlc_snmp_oid_cpu_load;
    }
    public String getVlc_snmp_oid_traffic_in() {
        return vlc_snmp_oid_traffic_in;
    }
    public void setVlc_snmp_oid_traffic_in(String vlc_snmp_oid_traffic_in) {
        this.vlc_snmp_oid_traffic_in = vlc_snmp_oid_traffic_in;
    }
    public String getVlc_snmp_oid_traffic_out() {
        return vlc_snmp_oid_traffic_out;
    }
    public void setVlc_snmp_oid_traffic_out(String vlc_snmp_oid_traffic_out) {
        this.vlc_snmp_oid_traffic_out = vlc_snmp_oid_traffic_out;
    }
    public String getVlc_snmp_oid_vlc_cpu() {
        return vlc_snmp_oid_vlc_cpu;
    }
    public void setVlc_snmp_oid_vlc_cpu(String vlc_snmp_oid_vlc_cpu) {
        this.vlc_snmp_oid_vlc_cpu = vlc_snmp_oid_vlc_cpu;
    }
    public String getVlc_snmp_oid_vlc_mem() {
        return vlc_snmp_oid_vlc_mem;
    }
    public void setVlc_snmp_oid_vlc_mem(String vlc_snmp_oid_vlc_mem) {
        this.vlc_snmp_oid_vlc_mem = vlc_snmp_oid_vlc_mem;
    }
    public Integer getVlc_stream_dvb_bandwidth() {
        return vlc_stream_dvb_bandwidth;
    }
    public void setVlc_stream_dvb_bandwidth(Integer vlc_stream_dvb_bandwidth) {
        this.vlc_stream_dvb_bandwidth = vlc_stream_dvb_bandwidth;
    }
    public Integer getVlc_stream_ttl() {
        return vlc_stream_ttl;
    }
    public void setVlc_stream_ttl(Integer vlc_stream_ttl) {
        this.vlc_stream_ttl = vlc_stream_ttl;
    }
    public String getVlc_telnet_password() {
        return vlc_telnet_password;
    }
    public void setVlc_telnet_password(String vlc_telnet_password) {
        this.vlc_telnet_password = vlc_telnet_password;
    }
    public Integer getVlc_telnet_port() {
        return vlc_telnet_port;
    }
    public void setVlc_telnet_port(Integer vlc_telnet_port) {
        this.vlc_telnet_port = vlc_telnet_port;
    }
    public String getVlma_encapsulation() {
        return vlma_encapsulation;
    }
    public void setVlma_encapsulation(String vlma_encapsulation) {
        this.vlma_encapsulation = vlma_encapsulation;
    }
    public String getVlma_notification_irc_chan() {
        return vlma_notification_irc_chan;
    }
    public void setVlma_notification_irc_chan(String vlma_notification_irc_chan) {
        this.vlma_notification_irc_chan = vlma_notification_irc_chan;
    }
    public String getVlma_notification_irc_host() {
        return vlma_notification_irc_host;
    }
    public void setVlma_notification_irc_host(String vlma_notification_irc_host) {
        this.vlma_notification_irc_host = vlma_notification_irc_host;
    }
    public String getVlma_notification_irc_nick() {
        return vlma_notification_irc_nick;
    }
    public void setVlma_notification_irc_nick(String vlma_notification_irc_nick) {
        this.vlma_notification_irc_nick = vlma_notification_irc_nick;
    }
    public String getVlma_notification_irc_pass() {
        return vlma_notification_irc_pass;
    }
    public void setVlma_notification_irc_pass(String vlma_notification_irc_pass) {
        this.vlma_notification_irc_pass = vlma_notification_irc_pass;
    }
    public Integer getVlma_notification_irc_port() {
        return vlma_notification_irc_port;
    }
    public void setVlma_notification_irc_port(Integer vlma_notification_irc_port) {
        this.vlma_notification_irc_port = vlma_notification_irc_port;
    }
    public String getVlma_notification_mail_host() {
        return vlma_notification_mail_host;
    }
    public void setVlma_notification_mail_host(String vlma_notification_mail_host) {
        this.vlma_notification_mail_host = vlma_notification_mail_host;
    }
    public String getVlma_notification_mail_recipients() {
        return vlma_notification_mail_recipients;
    }
    public void setVlma_notification_mail_recipients(String vlma_notification_mail_recipients) {
        this.vlma_notification_mail_recipients = vlma_notification_mail_recipients;
    }
    public String getVlma_notification_mail_sender() {
        return vlma_notification_mail_sender;
    }
    public void setVlma_notification_mail_sender(
            String vlma_notification_mail_sender) {
        this.vlma_notification_mail_sender = vlma_notification_mail_sender;
    }
    public String getVlma_notification_msn_login() {
        return vlma_notification_msn_login;
    }
    public void setVlma_notification_msn_login(String vlma_notification_msn_login) {
        this.vlma_notification_msn_login = vlma_notification_msn_login;
    }
    public String getVlma_notification_msn_pass() {
        return vlma_notification_msn_pass;
    }
    public void setVlma_notification_msn_pass(String vlma_notification_msn_pass) {
        this.vlma_notification_msn_pass = vlma_notification_msn_pass;
    }
    public String getVlma_notification_msn_recipients() {
        return vlma_notification_msn_recipients;
    }
    public void setVlma_notification_msn_recipients(String vlma_notification_msn_recipients) {
        this.vlma_notification_msn_recipients = vlma_notification_msn_recipients;
    }
    public String getVlma_streaming() {
        return vlma_streaming;
    }
    public void setVlma_streaming(String vlma_streaming) {
        this.vlma_streaming = vlma_streaming;
    }
    public Integer getVlma_streaming_http_port() {
        return vlma_streaming_http_port;
    }
    public void setVlma_streaming_http_port(Integer vlma_streaming_http_port) {
        this.vlma_streaming_http_port = vlma_streaming_http_port;
    }
    public String getVlma_streaming_udp_ipbank_max() {
        return vlma_streaming_udp_ipbank_max;
    }
    public void setVlma_streaming_udp_ipbank_max(String vlma_streaming_udp_ipbank_max) {
        this.vlma_streaming_udp_ipbank_max = vlma_streaming_udp_ipbank_max;
    }
    public String getVlma_streaming_udp_ipbank_min() {
        return vlma_streaming_udp_ipbank_min;
    }
    public void setVlma_streaming_udp_ipbank_min(String vlma_streaming_udp_ipbank_min) {
        this.vlma_streaming_udp_ipbank_min = vlma_streaming_udp_ipbank_min;
    }

}
